# $Id: php-pear-HTTP-Request.spec,v 1.1 2009/03/05 15:11:16 slords Exp $

Summary: PEAR HTTP_Request provides an easy way to perform HTTP requests
%define name php-pear-HTTP-Request
%define version 1.4.0
%define release 2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: PHP License
Group: Applications/Web
Source0: php-pear-HTTP-Request-%{version}.tgz
Url: http://pear.php.net/package/HTTP_Request
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-%(id -u -n)-buildroot
BuildArchitectures: noarch
Requires: php
Requires: php-pear-Net-URL
Requires: php-pear-Net-Socket
Obsoletes: pear-http_request

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication, SSL, file uploads etc.


%prep
%setup -q -n php-pear-HTTP-Request-%{version}

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/HTTP
cp -rp Request* $RPM_BUILD_ROOT/usr/share/pear-addons/HTTP
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/doc/HTTP_Request
cp -rp docs $RPM_BUILD_ROOT/usr/share/pear-addons/doc/HTTP_Request/

%files
%defattr(-,root,root)
%dir /usr/share/pear-addons/
/usr/share/pear-addons/*

%changelog
* Tue Dec 30 2008 Gavin Weight <gweight@gmail.com> 1.4.0-2
- Add requires php-pear-Net-URL and php-pear-Net-Socket. [SME: 4909]

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.4.0-1
- Updated package name to match what is in SME8 repo so upgrades from 7 to 8 will
  work without any issues.

* Fri Dec 15 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.4.0-00sme
- Updated to 1.4.0

* Mon Oct 9 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.3.0-00sme
- Initial
